#!/usr/bin/env python
# -*- coding: utf-8 -*-

import os
import sys
import glob
import pyTreeFoam

def runParaFoam(envFoam):
    OpenFoamEnvFile = envFoam
    wdir = os.getcwd()
    region = glob.glob(wdir + "/constant/cellToRegion")
    if len(region) == 1:
        # Regionがある場合、読み込みファイルを作成
        timeFolders = pyTreeFoam.getTimeFolders(wdir)
        allFiles = pyTreeFoam.getFoldersFiles(wdir + "/" + timeFolders[0])
        folders = allFiles[0]
        command = ". " + OpenFoamEnvFile + "\n"
        for folder in folders:
            command = command + "paraFoam -touch -region " + folder + "\n"
        os.system(command)
    # paraFoam を起動
    command = ". " + OpenFoamEnvFile + "; paraFoam & "
    os.system(command)


envFoam = sys.argv[1]
runParaFoam(envFoam)

